<?php

get_header(); 

	if ( workart_is_latest_posts() ) {
		get_template_part( 'template-parts/content', 'home' );

	} elseif ( workart_is_frontpage() ) {
		
		$options = workart_get_theme_options();

		$sorted = array( 'slider', 'about', 'our_services', 'featured_artist', 'gallery', 'testimonial', 'latest_posts', 'client' );
		
		foreach ( $sorted as $section ) {
			if ( $section == 'slider' || $section == 'about' || $section == 'client' || $section == 'testimonial' ) {
				add_action( 'workart_business_primary_content', 'workart_business_add_'. $section .'_section' );
			}else{
				add_action( 'workart_business_primary_content', 'workart_add_'. $section .'_section' );
			}			
		}
		do_action( 'workart_business_primary_content' );

		if (true === apply_filters( 'workart_filter_frontpage_content_enable', true ) ) {
			get_template_part( 'page' );
		}
	}
	
get_footer();